Package in.cdac.medinfo.csnotk.csnolib.commons

## Enum EnumComponent

- java.lang.Object
- - java.lang.Enum<EnumComponent>
  - - in.cdac.medinfo.csnotk.csnolib.commons.EnumComponent

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EnumComponent>`

      public enum EnumComponent
      extends java.lang.Enum<EnumComponent>
      implements java.io.Serializable

  If component is,
  CONCEPT-refers to Concept class
  DESCRIPTION- refers to Description class
  RELATIONSHIP- refers to Relationship class

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONCEPT` |
    `CONCRETERELATIONSHIP` |
    `DESCRIPTION` |
    `RELATIONSHIP` |
    `SIMPLEMAP` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EnumComponent` | `getEnum​(java.lang.String val)` | Returns enumeration for given string value.
    `java.lang.String` | `getValue()` | Returns the value associated with enumeration.
    `void` | `setValue​(java.lang.String value)` | Sets value for enumeration.
    `static EnumComponent` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EnumComponent[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONCEPT

          public static final EnumComponent CONCEPT

    - #### DESCRIPTION

          public static final EnumComponent DESCRIPTION

    - #### RELATIONSHIP

          public static final EnumComponent RELATIONSHIP

    - #### CONCRETERELATIONSHIP

          public static final EnumComponent CONCRETERELATIONSHIP

    - #### SIMPLEMAP

          public static final EnumComponent SIMPLEMAP

  - ### Method Detail

    - #### values

          public static EnumComponent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumComponent c : EnumComponent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumComponent valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the value associated with enumeration.
      Returns:
        `String` value for enumeration.

    - #### setValue

          public void setValue​(java.lang.String value)

      Sets value for enumeration.
      Parameters:
        `value` - `String` value to be set.

    - #### getEnum

          public static EnumComponent getEnum​(java.lang.String val)

      Returns enumeration for given string value.
      Parameters:
        `val` - `String` value for which enumeration is to be retrieve.
      Returns:
        `EnumComponent` enumeration for given string value